Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000195SpeedFanFan controlpublic2005-02-07 21:502005-02-26 01:03
Reporterjungen 
Assigned Toalfredo 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformAMD64 3000 on ASUS A8VOSWindowsOS VersionXP Pro SP2
Product Version4.20 
Target VersionFixed in Version4.21 
Summary0000195: Fan's stay on full speed after resume from hibernate or standby
DescriptionIt looks like speedfan doesn't get the resume trigger. When the computer does a resume from hibernate or standby speedfan thinks the fan's are lowered on speed, but in fact the aren't.
Speedfan will only get the resume trigger after I have used the mouse. For me this is very anoying because it is a HTPC, so most of the time I won't use a mouse.
I am using an Asus A8V motherboard with a Winchester AMD 64 3000.
Steps To ReproduceJust resume from standby or hibernate.
TagsNo tags attached.
Motherboard Model
Video Card ModelATI 9600
Attached Files

- Relationships

-  Notes
(0000631)
jungen (reporter)
2005-02-09 08:02
edited on: 2005-02-09 08:03

Last night I have tried several things.
I am running two full screen programs, Xlobby and SageTV on the HTPC.
If the computer resumes while running one of the applications full screen, speedfan doesn't change the speed of the fan's until I do some king of interaction (keyboard, mouse, remote) with the computer. When the computer resumes without running a full screen application everything is working perfect.

(0000633)
alfredo (manager)
2005-02-09 09:11

Please, drop me an email. Use an email address when I can send a 1MB ZIP file containing an EXE with the latest beta for you to try :-)
(0000649)
jungen (reporter)
2005-02-09 22:09
edited on: 2005-02-09 22:09

I tried the version of Speedfan (beta 17) you emailed me.
The fan speed is lowered when the pc is resumed from hibernate of standby, even when SageTV of Xlobby is running in full screen mode.
Although a strange things happen.

- The fan speed is increased for a few seconds when I use the mouse for the first time after resume. After that everything is oke.

By the way I emailed you two reports. One just after the initial start of the pc, one a few minutes after resume.

Regards,
Olaf.

(0000651)
jungen (reporter)
2005-02-10 01:01

Found another problem with beta 17:

After the pc has resumed from standby or hibernate, the pc will only go into hibernate or standby after the mouse/keyboard has been used. When the mouse/keyboard has not been used the pc won't go into standby or hibernate.
As mentioned in the previous note, the fan speed will raise for a few seconds when the mouse/keyboard is used for the first time.
(0000655)
alfredo (manager)
2005-02-12 11:30

Did I get it right?
Beta 17 partially fixes your issue as SpeedFan resumes fan control even without mouse intervention.
But you notice two side effects:
1) you cannot reenter standby
2) there is a "jump" in fan speeds when you move the mouse.
Right?
(0000658)
jungen (reporter)
2005-02-13 01:07

Yes you are completely right!
Although I think the problem is not because of speedfan, because when I don't use speedfan the pc also doesn't go into hibernate after resumed once.
The message "resumed from...." in the log screen of speedfan is only written after I have used the mouse.... so somehow the pc doesn't give a resume message after resumed from hibernate or standby.
Any idea what is going on? Today I have reinstalled Windows and all software, unfortunately this didn't help anything.
(0000714)
alfredo (manager)
2005-02-25 08:21

Sorry for the delay.
Let me understand the status for this issue. I think that the latest version for SpeedFan (4.21) fixes the RESUME issue and now fan speeds are properly controlled after resume. You still have an issue related to your pc no longer reentering suspend mode after resume, but you don't think this is because of SpeedFan. Right?

I double checked my source code and SpeedFan does not retain any internal "state" that might block your pc from entering suspend mode. Actually, SpeedFan prepares for suspend whenever it is queried to do so, eventually exiting from suspend soon after if any other piece of software didn't allow the suspend state. You should see all the relevant messages in SpeedFan's window.

If things are like I just said, I will consider this issue as "resolved" :-)
(0000718)
jungen (reporter)
2005-02-25 10:32

I think you are right, so you can consider this issue resolved!

But I have one question:
In the log screen of speedfan the resume from suspend message is only given after I have used the mouse. After that everything is working perfectly and the pc wil suspend after a while. Do you have any idea which windows event you use to give the resume from standby message? Meaby I can sort the problem out this way.

Thank you for your support!
(0000727)
alfredo (manager)
2005-02-26 01:03

These are the messages that trigger SpeedFan to restart normal operations:

msg.WParam=PBT_APMRESUMEAUTOMATIC
msg.WParam=PBT_APMRESUMECRITICAL
msg.WParam=PBT_APMRESUMESUSPEND

- Issue History
Date Modified Username Field Change
2005-02-07 21:50 jungen New Issue
2005-02-07 21:50 jungen Video Card Model => ATI 9600
2005-02-09 08:02 jungen Note Added: 0000631
2005-02-09 08:03 jungen Note Edited: 0000631
2005-02-09 09:11 alfredo Note Added: 0000633
2005-02-09 09:11 alfredo Status assigned => acknowledged
2005-02-09 22:09 jungen Note Added: 0000649
2005-02-09 22:09 jungen Note Edited: 0000649
2005-02-10 01:01 jungen Note Added: 0000651
2005-02-12 11:30 alfredo Note Added: 0000655
2005-02-13 01:07 jungen Note Added: 0000658
2005-02-25 08:21 alfredo Note Added: 0000714
2005-02-25 10:32 jungen Note Added: 0000718
2005-02-26 01:03 alfredo Note Added: 0000727
2005-02-26 01:03 alfredo Status acknowledged => resolved
2005-02-26 01:03 alfredo Resolution open => fixed
2005-02-26 01:03 alfredo Fixed in Version => 4.21


Copyright © 2000 - 2018 MantisBT Team
Time: 0.1253 seconds.
memory usage: 8,101 KB
Powered by Mantis Bugtracker